Bug 2078921 - Changes/LegacyXorgDriverRemoval
Summary: Changes/LegacyXorgDriverRemoval
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-26 13:43 UTC by Ben Cotton
Modified: 2023-09-21 18:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-21 18:17:22 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-04-26 13:43:08 UTC
This is a tracking bug for Change: Changes/LegacyXorgDriverRemoval
For more details, see: https://fedoraproject.org/wiki/Changes/LegacyXorgDriverRemoval

This change removes the xorg-x11-drv-vesa and xorg-x11-drv-fbdev driver packages, and associated support code from the xorg-x11-server-Xorg package.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2022-08-09 16:02:52 UTC
Today we reached the Code Complete (Testable) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F38, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Ben Cotton 2022-08-23 19:20:29 UTC
Today we reached the Code Complete (100% complete) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F38 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 3 Ben Cotton 2022-09-07 16:35:24 UTC
Deferred to F38 by FESCo: https://pagure.io/fesco/issue/2859#comment-815614

Comment 4 Ben Cotton 2023-02-07 14:27:33 UTC
Today we reached the Code Complete (Testable) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F39, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 8 Adam Williamson 2023-08-22 20:58:07 UTC
This still doesn't seem to be done. I don't see any indication that either package has been retired. I think this is now at-risk for F39, as we're past Beta freeze.

Comment 9 Adam Williamson 2023-09-21 18:07:05 UTC
Per today's FESCo meeting, this is deferred to F40: https://pagure.io/fesco/issue/3059#comment-875144

Comment 10 Adam Williamson 2023-09-21 18:17:22 UTC
Actually, I misread that: this is dropped as there's been no movement on it for several releases. It can be reproposed if interest revives.


Note You need to log in before you can comment on or make changes to this bug.